MailPoet Will Require PHP Version 5.6 in 2019

At the end of 2018, MailPoet will be upgrading its minimum PHP version. Our users will be required to have at least PHP version 7 5.6 in order to use our plugin. There will be a grace period for users on version 5.6. We will evaluate the length of this period later in 2018. This fall […]

GDPR: Get Ready for the New EU Privacy Law in Fifteen Minutes

You’re a MailPoet user looking to be GDPR friendly? Follow our guide.  If you’ve had to recently agree to many new terms and conditions for your online services, there’s a good probability that it’s because of a European regulation on privacy. If you haven’t yet heard, the European Union is introducing a set of common […]

A New Year, a New MailPoet, and a New Focus

It took us nearly 2 years to release the new MailPoet. That’s a long time! During the first rewrite of the plugin, we realized that we were headed in the wrong direction and made the tough decision to start over from scratch. We call it “the lost year”. In the end, the second rewrite proved […]

Release Notes: September 2017

Let’s take a look at the main highlights of our September code releases. This month, we officially launched the new MailPoet plugin. A New (and Free!) Sending Plan We have always wanted to offer a free sending solution to as many of our users as possible. At long last, it is finally here. If you […]

FAQ for MailPoet Version 2

The new MailPoet Version 3 was released in September 2017. This new plugin is replacing the old MailPoet (Version 2). In this FAQ, we’ll address all of your questions and concerns. Will MailPoet Version 2 Still Be Available? Yes, the old plugin is still available. You can download it from the WordPress plugin repository. Can […]